openapi: 3.0.0
info:
  title: Cloudify
  description: This is a swagger document for integration to Cloudify - built from CURL
  contact:
    email: apiteam@swagger.io
  version: '1.0'
servers:
- url: http://mycloudify/api/v3.1
  variables: {}
- url: https://mycloudify/api/v3.1
  variables: {}
- url: https://petstore.swagger.io/oauth
  variables: {}
paths:
  /api/v3.1/agents:
    get:
      tags:
      - Agents
      summary: listAgents
      description: ''
      operationId: listAgents
      parameters:
      - name: node_id
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/blueprints:
    get:
      tags:
      - Blueprints
      summary: getBlueprint
      description: ''
      operationId: getBlueprint
      parameters:
      - name: id
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/blueprints/{blueprintId}:
    put:
      tags:
      - Blueprints
      summary: updateBlueprint
      description: ''
      operationId: updateBlueprint
      parameters:
      - name: application_file_name
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: visibility
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: blueprint_archive_url
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: blueprintId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Blueprints
      summary: deleteBlueprint
      description: ''
      operationId: deleteBlueprint
      parameters:
      - name: force
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: boolean
      - name: blueprintId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/blueprints/{blueprintId}/set-global:
    patch:
      tags:
      - Blueprints
      summary: setGlobalBlueprint
      description: ''
      operationId: setGlobalBlueprint
      parameters:
      - name: blueprintId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/blueprints/{blueprintId}/set-visibility:
    patch:
      tags:
      - Blueprints
      summary: setBlueprintVisibility
      description: ''
      operationId: setBlueprintVisibility
      parameters:
      - name: blueprintId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/summary/blueprints:
    get:
      tags:
      - Blueprints
      summary: summarizeBluepriints
      description: ''
      operationId: summarizeBluepriints
      parameters:
      - name: _target_field
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: _all_tenants
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: boolean
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/managers:
    get:
      tags:
      - Clusters
      summary: listClusterNodes
      description: ''
      operationId: listClusterNodes
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/managers/{hostname}:
    get:
      tags:
      - Clusters
      summary: getClusterNode
      description: ''
      operationId: getClusterNode
      parameters:
      - name: hostname
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Clusters
      summary: deleteClusterNode
      description: ''
      operationId: deleteClusterNode
      parameters:
      - name: hostname
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/deployments:
    get:
      tags:
      - Deployments
      summary: listDeployments
      description: ''
      operationId: listDeployments
      parameters:
      - name: id
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/deployments/{deploymentId}:
    put:
      tags:
      - Deployments
      summary: createDeployment
      description: ''
      operationId: createDeployment
      parameters:
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: deploymentId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Deployments
      summary: deleteDeployment
      description: ''
      operationId: deleteDeployment
      parameters:
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: delete_logs
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: deploymentId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/deployments/{deploymentId}/set-visibility:
    patch:
      tags:
      - Deployments
      summary: setDeploymentVisibility
      description: ''
      operationId: setDeploymentVisibility
      parameters:
      - name: deploymentId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/deployments/{deploymentId}/set-site:
    post:
      tags:
      - Deployments
      summary: setDeploymentSite
      description: ''
      operationId: setDeploymentSite
      parameters:
      - name: deploymentId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/deployment-updates/{deploymentId}/update/initiate:
    put:
      tags:
      - Deployments
      summary: updateDeployment
      description: ''
      operationId: updateDeployment
      parameters:
      - name: deploymentId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/deployment-updates/{deploymentId}:
    get:
      tags:
      - Deployments
      summary: getDeploymentUpdate
      description: ''
      operationId: getDeploymentUpdate
      parameters:
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: deploymentId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/deployment-updates:
    get:
      tags:
      - Deployments
      summary: listDeploymentUpdate
      description: ''
      operationId: listDeploymentUpdate
      parameters:
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/deployments/{deploymentId}/outputs:
    get:
      tags:
      - Deployments
      summary: getDeploymentOutputs
      description: ''
      operationId: getDeploymentOutputs
      parameters:
      - name: deploymentId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/deployments/{deploymentId}/capabilities:
    get:
      tags:
      - Deployments
      summary: getDeploymentCapabilities
      description: ''
      operationId: getDeploymentCapabilities
      parameters:
      - name: deploymentId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/summary/deployments:
    get:
      tags:
      - Deployments
      summary: summarizeDeployments
      description: ''
      operationId: summarizeDeployments
      parameters:
      - name: _target_field
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/events:
    get:
      tags:
      - Events
      summary: listEvents
      description: ''
      operationId: listEvents
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/executions:
    get:
      tags:
      - Executions
      summary: listExecutions
      description: ''
      operationId: listExecutions
      parameters:
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Executions
      summary: startExecution
      description: ''
      operationId: startExecution
      parameters:
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/executions/{executionId}:
    get:
      tags:
      - Executions
      summary: getExecution
      description: ''
      operationId: getExecution
      parameters:
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: executionId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Executions
      summary: cancelExecution
      description: ''
      operationId: cancelExecution
      parameters:
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: executionId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - Executions
      summary: updateExecution
      description: ''
      operationId: updateExecution
      parameters:
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: executionId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/summary/executions:
    get:
      tags:
      - Executions
      summary: summarizeExecutions
      description: ''
      operationId: summarizeExecutions
      parameters:
      - name: _target_field
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/license:
    put:
      tags:
      - License
      summary: updateLicense
      description: ''
      operationId: updateLicense
      parameters: []
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: string
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    get:
      tags:
      - License
      summary: listLicense
      description: ''
      operationId: listLicense
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/status:
    get:
      tags:
      - Manager
      summary: status
      description: ''
      operationId: status
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/version:
    get:
      tags:
      - Manager
      summary: version
      description: ''
      operationId: version
      parameters:
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/node-instances:
    get:
      tags:
      - NodeInstances
      summary: listNodeInstances
      description: ''
      operationId: listNodeInstances
      parameters:
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/node-instances/{nodeInstanceId}:
    get:
      tags:
      - NodeInstances
      summary: getNodeInstance
      description: ''
      operationId: getNodeInstance
      parameters:
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: nodeInstanceId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - NodeInstances
      summary: updateNodeInstance
      description: ''
      operationId: updateNodeInstance
      parameters:
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: nodeInstanceId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/summary/node_instances:
    get:
      tags:
      - NodeInstances
      summary: summarizeNodeInstance
      description: ''
      operationId: summarizeNodeInstance
      parameters:
      - name: _target_field
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/nodes:
    get:
      tags:
      - Nodes
      summary: listNodes
      description: ''
      operationId: listNodes
      parameters:
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/summary/nodes:
    get:
      tags:
      - Nodes
      summary: summarizeNodes
      description: ''
      operationId: summarizeNodes
      parameters:
      - name: _target_field
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/operations:
    get:
      tags:
      - Operations
      summary: listOperations
      description: ''
      operationId: listOperations
      parameters:
      - name: graph_id
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: number
          format: double
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/operations/{operationId}:
    put:
      tags:
      - Operations
      summary: createOperation
      description: ''
      operationId: createOperation
      parameters:
      - name: operationId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - Operations
      summary: updateOperation
      description: ''
      operationId: updateOperation
      parameters:
      - name: operationId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Operations
      summary: deleteOperation
      description: ''
      operationId: deleteOperation
      parameters:
      - name: operationId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/plugins:
    get:
      tags:
      - Plugins
      summary: listPlugins
      description: ''
      operationId: listPlugins
      parameters:
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Plugins
      summary: updatePlugin
      description: ''
      operationId: updatePlugin
      parameters:
      - name: plugin_archive_url
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: visibility
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/plugins/{pluginId}:
    get:
      tags:
      - Plugins
      summary: getPlugin
      description: ''
      operationId: getPlugin
      parameters:
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: pluginId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Plugins
      summary: deletePlugin
      description: ''
      operationId: deletePlugin
      parameters:
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: pluginId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      - name: Content-Type
        in: header
        description: ''
        required: true
        style: simple
        schema:
          enum:
          - text/plain
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/plugins/{pluginId}/set-global:
    patch:
      tags:
      - Plugins
      summary: setGlobalPlugin
      description: ''
      operationId: setGlobalPlugin
      parameters:
      - name: pluginId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/plugins/{pluginId}/set-visibility:
    patch:
      tags:
      - Plugins
      summary: setPluginVisibility
      description: ''
      operationId: setPluginVisibility
      parameters:
      - name: pluginId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/plugins-updates/{blueprintId}/update/initiate:
    put:
      tags:
      - Plugins
      summary: updatePlugins
      description: ''
      operationId: updatePlugins
      parameters:
      - name: blueprintId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/plugins-updates/{pluginId}:
    get:
      tags:
      - Plugins
      summary: getPluginsUpdate
      description: ''
      operationId: getPluginsUpdate
      parameters:
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: pluginId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/plugins-updates:
    get:
      tags:
      - Plugins
      summary: listPluginsUpdate
      description: ''
      operationId: listPluginsUpdate
      parameters:
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/secrets:
    get:
      tags:
      - Secrets
      summary: listSecrets
      description: ''
      operationId: listSecrets
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/secrets/{secretKey}:
    get:
      tags:
      - Secrets
      summary: getSecret
      description: ''
      operationId: getSecret
      parameters:
      - name: secretKey
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - Secrets
      summary: updateSecret
      description: ''
      operationId: updateSecret
      parameters:
      - name: secretKey
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Secrets
      summary: createSecret
      description: ''
      operationId: createSecret
      parameters:
      - name: secretKey
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Secrets
      summary: deleteSecret
      description: ''
      operationId: deleteSecret
      parameters:
      - name: secretKey
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/secrets/{secretKey}/set-global:
    patch:
      tags:
      - Secrets
      summary: setGlobalSecret
      description: ''
      operationId: setGlobalSecret
      parameters:
      - name: secretKey
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/secrets/{secretKey}/set-visibility:
    patch:
      tags:
      - Secrets
      summary: setSecretVisibility
      description: ''
      operationId: setSecretVisibility
      parameters:
      - name: secretKey
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/secrets/share/export:
    get:
      tags:
      - Secrets
      summary: exportSecret
      description: ''
      operationId: exportSecret
      parameters:
      - name: _passphrase
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      - name: non-encrypted
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: boolean
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/secrets/share/import:
    post:
      tags:
      - Secrets
      summary: importSecret
      description: ''
      operationId: importSecret
      parameters: []
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/sites:
    get:
      tags:
      - Sites
      summary: listSites
      description: ''
      operationId: listSites
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/sites/{siteName}:
    get:
      tags:
      - Sites
      summary: getSite
      description: ''
      operationId: getSite
      parameters:
      - name: siteName
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    put:
      tags:
      - Sites
      summary: createSite
      description: ''
      operationId: createSite
      parameters:
      - name: siteName
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Sites
      summary: updateSite
      description: ''
      operationId: updateSite
      parameters:
      - name: siteName
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Sites
      summary: deleteSite
      description: ''
      operationId: deleteSite
      parameters:
      - name: siteName
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/snapshots:
    get:
      tags:
      - Snapshots
      summary: listSnapshots
      description: ''
      operationId: listSnapshots
      parameters:
      - name: _include
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/snapshots/{snapshotId}:
    put:
      tags:
      - Snapshots
      summary: createSnapshots
      description: ''
      operationId: createSnapshots
      parameters:
      - name: snapshotId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Snapshots
      summary: deleteSnapshots
      description: ''
      operationId: deleteSnapshots
      parameters:
      - name: snapshotId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/snapshots/{snapshotId}/restore:
    post:
      tags:
      - Snapshots
      summary: restoreSnapshot
      description: ''
      operationId: restoreSnapshot
      parameters:
      - name: snapshotId
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/snapshots/archive:
    put:
      tags:
      - Snapshots
      summary: uploadSnapshot
      description: ''
      operationId: uploadSnapshot
      parameters:
      - name: snapshot_archive_url
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/snapshot-status:
    get:
      tags:
      - Snapshots
      summary: snapshotRestoreStatus
      description: ''
      operationId: snapshotRestoreStatus
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/tasks_graphs:
    get:
      tags:
      - TaskGraphs
      summary: listTaskGraphs
      description: ''
      operationId: listTaskGraphs
      parameters:
      - name: execution_id
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: number
          format: double
      - name: name
        in: query
        description: ''
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - TaskGraphs
      summary: createTaskGraph
      description: ''
      operationId: createTaskGraph
      parameters: []
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/tenants/{tenantName}:
    get:
      tags:
      - Tenants
      summary: getTenant
      description: ''
      operationId: getTenant
      parameters:
      - name: tenantName
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Tenants
      summary: deleteTenant
      description: ''
      operationId: deleteTenant
      parameters:
      - name: tenantName
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Tenants
      summary: createTenant
      description: ''
      operationId: createTenant
      parameters:
      - name: tenantName
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/tenants/users:
    put:
      tags:
      - Tenants
      summary: addUserToTenant
      description: ''
      operationId: addUserToTenant
      parameters: []
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - Tenants
      summary: updateUserInTenant
      description: ''
      operationId: updateUserInTenant
      parameters: []
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Tenants
      summary: removeUserFromTenant
      description: ''
      operationId: removeUserFromTenant
      parameters:
      - name: Content-Type
        in: header
        description: ''
        required: true
        style: simple
        schema:
          enum:
          - text/plain
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/tenants/user-groups:
    put:
      tags:
      - Tenants
      summary: addUserGroupToTenant
      description: ''
      operationId: addUserGroupToTenant
      parameters: []
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    patch:
      tags:
      - Tenants
      summary: updateUserGroupInTenant
      description: ''
      operationId: updateUserGroupInTenant
      parameters: []
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Tenants
      summary: removeuserGroupFromTenant
      description: ''
      operationId: removeuserGroupFromTenant
      parameters:
      - name: Content-Type
        in: header
        description: ''
        required: true
        style: simple
        schema:
          enum:
          - text/plain
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/user-groups:
    get:
      tags:
      - UserGroups
      summary: listUserGroups
      description: ''
      operationId: listUserGroups
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - UserGroups
      summary: createUserGroup
      description: ''
      operationId: createUserGroup
      parameters: []
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/user-groups/{groupName}:
    get:
      tags:
      - UserGroups
      summary: getUserGroup
      description: ''
      operationId: getUserGroup
      parameters:
      - name: groupName
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - UserGroups
      summary: deleteUserGroup
      description: ''
      operationId: deleteUserGroup
      parameters:
      - name: groupName
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/user-groups/users:
    put:
      tags:
      - UserGroups
      summary: addUserToUserGroup
      description: ''
      operationId: addUserToUserGroup
      parameters: []
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - UserGroups
      summary: removeUserFromUserGroup
      description: ''
      operationId: removeUserFromUserGroup
      parameters:
      - name: Content-Type
        in: header
        description: ''
        required: true
        style: simple
        schema:
          enum:
          - text/plain
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/users:
    put:
      tags:
      - Users
      summary: createUser
      description: ''
      operationId: createUser
      parameters: []
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    get:
      tags:
      - Users
      summary: listUsers
      description: ''
      operationId: listUsers
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/users/{username}:
    get:
      tags:
      - Users
      summary: getUser
      description: ''
      operationId: getUser
      parameters:
      - name: username
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    delete:
      tags:
      - Users
      summary: deleteUser
      description: ''
      operationId: deleteUser
      parameters:
      - name: username
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - Users
      summary: updateUser
      description: ''
      operationId: updateUser
      parameters:
      - name: username
        in: path
        description: ''
        required: true
        style: simple
        schema:
          type: string
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
  /api/v3.1/tenants:
    get:
      summary: listTenants
      description: ''
      operationId: listTenants
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            text/plain:
              schema:
                type: string
                description: successful operation
        '400':
          description: ''
          headers: {}
          content: {}
      deprecated: false
components:
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: http://mycloudify/api/v3.1/authorize
          scopes:
            write:pets: modify pets in your account
            read:pets: read your pets
security:
- oauth2: []
tags:
- name: Agents
- name: Blueprints
- name: Clusters
- name: Deployments
- name: Events
- name: Executions
- name: License
- name: Manager
- name: NodeInstances
- name: Nodes
- name: Operations
- name: Plugins
- name: Secrets
- name: Sites
- name: Snapshots
- name: TaskGraphs
- name: Tenants
- name: UserGroups
- name: Users
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
